Returns an iterator for the current entry

- « RecursiveIterator

- RecursiveIterator::hasChildren »

- PHP Manual
- RecursiveIterator
- Returns an iterator for the current entry

# RecursiveIterator::getChildren

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

RecursiveIterator::getChildren — Returns an iterator for the current entry

### Description

public RecursiveIterator::getChildren(): ?RecursiveIterator

Returns an iterator for the current iterator entry.

### Parameters

This function has no parameters.

### Return Values

Returns an iterator for the current entry if it exists, or `null` otherwise.

### See Also

- RecursiveIterator::hasChildren() - Returns if an iterator can be created for the current entry